Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Interface ItemSelectable

All Known Subinterfaces:
  ButtonModel

All Known Implementing Classes:
  Checkbox, Choice, List, CheckboxMenuItem, AbstractButton, JComboBox

public interface ItemSelectable

The interface for objects which contain a set of items for which zero or more can be selected.

Method Summary
`void` | `addItemListener(ItemListener l)` Add a listener to recieve item events when the state of an item changes.
`Object[]` | `getSelectedObjects()` Returns the selected items or null if no items are selected.
`void` | `removeItemListener(ItemListener l)` Removes an item listener.

Method Detail

### getSelectedObjects

    public Object[] getSelectedObjects()

  Returns the selected items or null if no items are selected.

### addItemListener

    public void addItemListener(ItemListener l)

  Add a listener to recieve item events when the state of an item changes. If l is null, no exception is thrown and no action is performed.
  Parameters:
    `l` - the listener to recieve events
  See Also:
    `ItemEvent`

### removeItemListener

    public void removeItemListener(ItemListener l)

  Removes an item listener. If l is null, no exception is thrown and no action is performed.
  Parameters:
    `l` - the listener being removed
  See Also:
    `ItemEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.